commit:     de947d37169c0a3e426bfb892f84388fbbfc1fa3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 21 00:22:20 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 21 00:22:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de947d37

dev-libs/ossp-uuid: use canonical phase ordering

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/ossp-uuid/ossp-uuid-1.6.2-r7.ebuild | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

diff --git a/dev-libs/ossp-uuid/ossp-uuid-1.6.2-r7.ebuild 
b/dev-libs/ossp-uuid/ossp-uuid-1.6.2-r7.ebuild
index 1054159a937a..90dbbbf5b19e 100644
--- a/dev-libs/ossp-uuid/ossp-uuid-1.6.2-r7.ebuild
+++ b/dev-libs/ossp-uuid/ossp-uuid-1.6.2-r7.ebuild
@@ -53,19 +53,27 @@ src_compile() {
        default
 
        if use perl; then
-               cd perl
+               cd perl || die
                # configure needs the ossp-uuid.la generated by `make` in $S
                perl-module_src_configure
                perl-module_src_compile
        fi
 }
 
+src_test() {
+       export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${S}/.libs" # required for 
the perl-bindings to load the (correct) library
+       default
+
+       use perl && emake -C perl test
+}
+
 src_install() {
        local DOCS=( AUTHORS BINDINGS ChangeLog HISTORY NEWS OVERVIEW PORTING 
README SEEALSO THANKS TODO USERS )
        default
        unset DOCS #unset so that other eclasses don't try to install them and 
possibly fail
+
        if use perl ; then
-               cd perl
+               cd perl || die
                perl-module_src_install
        fi
 
@@ -75,10 +83,3 @@ src_install() {
        mv "${ED}/usr/share/man/man3"/uuid.3{,ossp}
        mv "${ED}/usr/share/man/man3"/uuid++.3{,ossp}
 }
-
-src_test() {
-       export LD_LIBRARY_PATH="${S}/.libs" # required for the perl-bindings to 
load the (correct) library
-       default
-
-       use perl && emake -C perl test
-}

Reply via email to